- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qstyleoption.h File Reference

`#include <QtCore/qvariant.h>`
`#include <QtGui/qabstractspinbox.h>`
`#include <QtGui/qicon.h>`
`#include <QtGui/qmatrix.h>`
`#include <QtGui/qslider.h>`
`#include <QtGui/qstyle.h>`
`#include <QtGui/qtabbar.h>`
`#include <QtGui/qtabwidget.h>`
`#include <QtGui/qrubberband.h>`
`#include <QtGui/qframe.h>`
`#include <QtCore/qabstractitemmodel.h>`

Go to the source code of this file.

## Classes
class | QStyleOption
class | QStyleOptionFocusRect
class | QStyleOptionFrame
class | QStyleOptionFrameV2
class | QStyleOptionFrameV3
class | QStyleOptionTabWidgetFrame
class | QStyleOptionTabWidgetFrameV2
class | QStyleOptionTabBarBase
class | QStyleOptionTabBarBaseV2
class | QStyleOptionHeader
class | QStyleOptionButton
class | QStyleOptionTab
class | QStyleOptionTabV2
class | QStyleOptionTabV3
class | QStyleOptionToolBar
class | QStyleOptionProgressBar
class | QStyleOptionProgressBarV2
class | QStyleOptionMenuItem
class | QStyleOptionQ3ListViewItem
class | QStyleOptionQ3DockWindow
class | QStyleOptionDockWidget
class | QStyleOptionDockWidgetV2
class | QStyleOptionViewItem
class | QStyleOptionViewItemV2
class | QStyleOptionViewItemV3
class | QStyleOptionViewItemV4
class | QStyleOptionToolBox
class | QStyleOptionToolBoxV2
class | QStyleOptionRubberBand
class | QStyleOptionComplex
class | QStyleOptionSlider
class | QStyleOptionSpinBox
class | QStyleOptionQ3ListView
class | QStyleOptionToolButton
class | QStyleOptionComboBox
class | QStyleOptionTitleBar
class | QStyleOptionGroupBox
class | QStyleOptionSizeGrip
class | QStyleOptionGraphicsItem
class | QStyleHintReturn
class | QStyleHintReturnMask
class | QStyleHintReturnVariant
## Functions
template<typename T >
T | qstyleoption_cast (const QStyleOption *opt)
template<typename T >
T | qstyleoption_cast (QStyleOption *opt)
template<typename T >
T | qstyleoption_cast (const QStyleHintReturn *hint)
template<typename T >
T | qstyleoption_cast (QStyleHintReturn *hint)
Q_GUI_EXPORT QDebug | operator<< (QDebug debug, const QStyleOption::OptionType &optionType)
Q_GUI_EXPORT QDebug | operator<< (QDebug debug, const QStyleOption &option)

## Function Documentation

T qstyleoption_cast | ( | const QStyleOption * | opt | ) |

Search for all occurrences

Definition at line 885 of file qstyleoption.h.

    {
        if (opt && opt->version >= static_cast<T>(0)->Version && (opt->type == static_cast<T>(0)->Type
            || int(static_cast<T>(0)->Type) == QStyleOption::SO_Default
            || (int(static_cast<T>(0)->Type) == QStyleOption::SO_Complex
                && opt->type > QStyleOption::SO_Complex)))
            return static_cast<T>(opt);
        return 0;
    }

T qstyleoption_cast | ( | QStyleOption * | opt | ) |

Search for all occurrences

Definition at line 896 of file qstyleoption.h.

    {
        if (opt && opt->version >= static_cast<T>(0)->Version && (opt->type == static_cast<T>(0)->Type
            || int(static_cast<T>(0)->Type) == QStyleOption::SO_Default
            || (int(static_cast<T>(0)->Type) == QStyleOption::SO_Complex
                && opt->type > QStyleOption::SO_Complex)))
            return static_cast<T>(opt);
        return 0;
    }

T qstyleoption_cast | ( | const QStyleHintReturn * | hint | ) |

Search for all occurrences

Definition at line 944 of file qstyleoption.h.

    {
        if (hint && hint->version <= static_cast<T>(0)->Version &&
            (hint->type == static_cast<T>(0)->Type || int(static_cast<T>(0)->Type) == QStyleHintReturn::SH_Default))
            return static_cast<T>(hint);
        return 0;
    }

T qstyleoption_cast | ( | QStyleHintReturn * | hint | ) |

Search for all occurrences

Definition at line 953 of file qstyleoption.h.

    {
        if (hint && hint->version <= static_cast<T>(0)->Version &&
            (hint->type == static_cast<T>(0)->Type || int(static_cast<T>(0)->Type) == QStyleHintReturn::SH_Default))
            return static_cast<T>(hint);
        return 0;
    }

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | debug,
|  | const QStyleOption::OptionType & | optionType
| ) |  |

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | debug,
|  | const QStyleOption & | option
| ) |  |